# Small Business Credit Analytics
source: https://developer.mastercard.com/open-finance-us/documentation/products/small-business/sbca/index.md

## Overview {#overview}

Small Business Credit Analytics (SBCA) provides underwriters with access to near
real-time transaction-based insights to build a more complete view of business
performance and creditworthiness, helping them underwrite more businesses and
reduce risk.

Mastercard has rich transaction data from Mastercard-accepting merchant
locations. These transactions are enriched and anonymized to generate
transaction-based metrics at the location level. For merchants who have provided
their consent, underwriters can request these metrics through the API.
Note: The SBCA service is available as a
[standalone API](https://developer.mastercard.com/small-business-credit-analytics/documentation).

It is now also available as part of Open Finance. The Open Finance version
enables you to use SBCA with your existing Open Finance credentials and
projects, and requires a business customer
record. It returns the same reports as the standalone version.

## Report Types {#report-types}

There are two SBCA report types available:

* **Retail Sales Analytics** (weekly or monthly) - provides a breakdown of a merchant location's performance across 44 metrics for the last 12 months.
* **Retail Sales Benchmarks** (monthly only) - provides a breakdown of a merchant location's performance against a benchmark peer set across 11 benchmark metrics for the latest month.

<br />

The following table shows some sample metrics from each report type.

|   Metrics Category    |                              Description                              |                                                 Sample Metrics                                                 ||
|                       |                                                                       |                 Retail Sales Analytics                 |                Retail Sales Benchmarks                 |
|-----------------------|-----------------------------------------------------------------------|--------------------------------------------------------|--------------------------------------------------------|
| **Business Metadata** | Metrics on small business identity and operations                     | Last seen transaction date First seen transaction date | Last seen transaction date First seen transaction date |
| **Merchant Sales**    | Metrics on business's retail sales and sales growth                   | Trend on average card spend                            | Average spend per card index                           |
| **Channel Sales**     | Metrics on customers' preferred channel at the business location      | % Spend from online channels                           | % of e-Commerce transactions index                     |
| **Customer Loyalty**  | Metrics on recurring customer activity at the small business location | % of repeat customers                                  | Cards repeated in 6 months index                       |
| **Returns**           | Metrics on the rate of returned purchases                             | % of returned transactions                             | Returned transactions index                            |
| **Business Risk**     | Metrics on business's authorization and fraud rates                   | Historical weekly or monthly card spend                | Fraud chargeback index                                 |

## How It Works {#how-it-works}

To retrieve an SBCA report, there are two steps:

1. [Merchant Matching](https://developer.mastercard.com/open-finance-us/documentation/products/small-business/sbca/index.md#merchant-matching) - use metadata to determine a location ID for the merchant.
2. [Generate SBCA Report](https://developer.mastercard.com/open-finance-us/documentation/products/small-business/sbca/index.md#generate-sbca-report) - use the location ID to request the desired report type for that merchant location.

Note: Reports provide metrics for a single merchant location. If a merchant has multiple locations, you must request a report for each location separately. Warning: Before you generate a report, you must contact the merchant directly and get their consent. Currently there is no way for a merchant to provide permission through Mastercard Open Finance.

## Merchant Matching {#merchant-matching}

The recommended way to find a merchant's location ID is to use the following metadata:

* Merchant name
* Street address
* City
* State/province/region
* Zip/postal code

<br />

You can also use the merchant's Mastercard merchant ID if you know it.

Use the following endpoint to find the location ID:

API Reference: `GET /decisioning/sbca/location-matches`

The response can include multiple matches for the metadata you provided, with
the most likely match listed first.

## Generate SBCA Report {#generate-sbca-report}

To generate a report, you must have a [customer record](https://developer.mastercard.com/open-finance-us/documentation/access-and-config/customers/index.md)
for the merchant with an associated
[business record](https://developer.mastercard.com/open-finance-us/documentation/access-and-config/customers/index.md#working-with-business-customers).

You must have obtained explicit consent from the merchant.

Use the merchant's location ID and customer ID with the following endpoint to
generate a report:

API Reference: `POST /decisioning/customers/{customerId}/sbca`

In the request body, use `metricType` to specify the report type you want:
`retail_sales_analytics` or `retail_sales_benchmarks`.

If you are requesting Retail Sales Analytics, use
`metricFrequency` to request a `Weekly` or `Monthly` report. For Retail
Sales Benchmarks, only `Monthly` is supported.

## Reading an Analytics Report {#reading-an-analytics-report}

This section explains the metrics returned in a Retail Sales Analytics
report. The metrics are presented in groups based on the key business question
they could help answer. Note that the grouping is created for guidance
only, and the API does not deliver data in these groups.

### Analytics Metrics {#analytics-metrics}

**Does the small business exist and is it still operating?**

|         METRIC         | DATA TYPE |                                                                                                                  DESCRIPTION                                                                                                                   |        EXAMPLE        |
|------------------------|-----------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------|
| `merchantCategoryCode` | `integer` | the Mastercard-defined merchant category code for the returned merchant. For full list, see [MCC Codes Booklet](https://www.mastercard.us/content/dam/public/mastercardcom/na/global-site/documents/quick-reference-booklet-merchant.pdf)      | 478                   |
| `naicsCode`            | `string`  | North American Industry Classification System (NAICS) code. For full list, visit: [www.census.gov/naics](http://www.census.gov/naics)                                                                                                          | 454113                |
| `industryName`         | `string`  | the Mastercard-defined name of the industry of the merchant. For full list, see the [Industry Names](https://developer.mastercard.com/open-finance-us/documentation/products/small-business/sbca/index.md#industry-names) section on this page | Arts and Craft Stores |
| `firstSeenTxnDate`     | `string`  | the date of the first Mastercard transaction processed for this merchant. Format: YYYY-MM-DD                                                                                                                                                   | 2021-01-01            |
| `lastSeenTxnDate`      | `string`  | the date of the last Mastercard transaction processed for this merchant. Format: YYYY-MM-DD                                                                                                                                                    | 2021-12-31            |
| `periodStartDate`      | `string`  | the calendar date marking the beginning (inclusive) of the period for which this metric was calculated. Format: YYYY-MMDD                                                                                                                      | 2021-01-03            |
| `periodEndDate`        | `string`  | the calendar date marking the end (inclusive) of the period for which this metric was calculated. Format: YYYY-MM-DD                                                                                                                           | 2021-01-09            |
| `year`                 | `integer` | the calendar year for which this metric was calculated                                                                                                                                                                                         | 2021                  |

**Can the business afford to pay back a loan?**

|        METRIC        | DATA TYPE |               DESCRIPTION               |   EXAMPLE    |
|----------------------|-----------|-----------------------------------------|--------------|
| `txn_amt`            | `double`  | total amount of spend                   | 31289.666484 |
| `txn_cnt`            | `double`  | total count of transactions             | 408.0        |
| `tkt_size_avg`       | `double`  | average spend per transaction           | 77.543760    |
| `spend_per_card_avg` | `double`  | average spend per card                  | 81.131128    |
| `txn_per_card_avg`   | `double`  | average number of transactions per card | 1.054190     |

**How volatile is the business?**

|                  METRIC                   | DATA TYPE |                                                    DESCRIPTION                                                     |   EXAMPLE   |
|-------------------------------------------|-----------|--------------------------------------------------------------------------------------------------------------------|-------------|
| `spend_per_card_avg_yoy`                  | `double`  | year-over-year weekly average spend per card                                                                       | 0.094517    |
| `txn_amt_yoy`                             | `double`  | year-over-year total spend amount                                                                                  | 0.463873    |
| `txn_cnt_yoy`                             | `double`  | year-over-year total count of transactions                                                                         | 1.083943    |
| `tkt_size_avg_yoy`                        | `double`  | year-over-year weekly average ticket                                                                               | 0.336586    |
| `recurring_cnt_yoy`                       | `double`  | year-over-year total count of recurring transactions                                                               | 0.777531    |
| `recurring_amt_perc`                      | `double`  | percentage of spend from recurring transactions                                                                    | 0.776268    |
| `recurring_cnt_perc`                      | `double`  | percentage of transactions from recurring transactions                                                             | 0.658485    |
| `declined_cnt_rate`                       | `double`  | percentage of transactions that are declined                                                                       | 0.031240    |
| `fraud_chargeback_cnt_perc`               | `double`  | percentage of transactions that are fraudulent                                                                     | 0.000677    |
| `cardholder_disputed_chargeback_cnt_perc` | `double`  | percentage of transactions that are cardholder disputed                                                            | 0.004183    |
| `reversed_amt`                            | `double`  | total spend amount of returned purchases; the value is negative to reflect offsetting effect of returned purchases | -207.872189 |
| `reversed_cnt`                            | `double`  | total transaction count of returned purchases                                                                      | 2           |
| `reversed_amt_yoy`                        | `double`  | year-over-year total spend amount of returned purchases                                                            | 7.115391    |
| `reversed_cnt_yoy`                        | `double`  | year-over-year total count of transaction of returned purchases                                                    | 0.907406    |

**How does the business perform across different channels?**

|      METRIC       | DATA TYPE |                          DESCRIPTION                           | EXAMPLE  |
|-------------------|-----------|----------------------------------------------------------------|----------|
| `chp_amt_perc`    | `double`  | percentage of cardholder present spend                         | 0.8209   |
| `chp_cnt_perc`    | `double`  | percentage of cardholder present transactions                  | 0.68     |
| `chnp_amt_perc`   | `double`  | percentage of cardholder not present spend                     | 0.162    |
| `chnp_cnt_perc`   | `double`  | percentage of cardholder not present transactions              | 0.0367   |
| `online_amt_perc` | `double`  | percentage of spend from online channels                       | 0.7812   |
| `online_cnt_perc` | `double`  | percentage of transactions from online channels                | 0.265431 |
| `online_cnt_yoy`  | `double`  | year-over-year total count of transaction from online channels | 637.83   |

**What is the spend profile of the business' customers?**

|                          METRIC                          | DATA TYPE |                                  DESCRIPTION                                   | EXAMPLE  |
|----------------------------------------------------------|-----------|--------------------------------------------------------------------------------|----------|
| `credit_amt_perc`                                        | `double`  | percentage of spend from credit cards                                          | 0.220945 |
| `debit_amt_perc`                                         | `double`  | percentage of spend from debit cards                                           | 0.172125 |
| `small_business_amt_perc`                                | `double`  | percentage of spend from small business cards                                  | 0.399925 |
| `credit_cnt_perc`                                        | `double`  | percentage of transactions from credit cards                                   | 0.154    |
| `debit_cnt_perc`                                         | `double`  | percentage of transactions from debit cards                                    | 0.9      |
| `small_business_cnt_perc`                                | `double`  | percentage of transactions from small business cards                           | 0.561112 |
| `debit_tkt_size_avg`                                     | `double`  | average spend per transactions on debit cards                                  | 37.21    |
| `small_business_tkt_size_avg`                            | `double`  | average spend per transactions on small business card cards                    | 85.361   |
| `debit_spend_per_card_avg`                               | `double`  | average spend per debit card                                                   | 47.7     |
| `small_business_spend_per_card_avg`                      | `double`  | average spend per small business card                                          | 53.23    |
| `debit_num_cards_perc`                                   | `double`  | percentage of cards that are debit cards                                       | 0.444567 |
| `small_business_num_cards_perc`                          | `double`  | percentage of cards that are small business cards                              | 0.461234 |
| `debit_declined_cnt_rate`                                | `double`  | percentage of debit transactions that are declined                             | 0.974    |
| `small_business_declined_cnt_rate`                       | `double`  | percentage of small business card transactions that are declined               | 0.2344   |
| `debit_fraud_chargeback_cnt_perc`                        | `double`  | percentage of debit transactions that are fraudulent                           | 0.63     |
| `small_business_fraud_chargeback_cnt_perc`               | `double`  | percentage of small business card transactions that are fraudulent             | 0.563    |
| `debit_cardholder_disputed_chargeback_cnt_perc`          | `double`  | percentage of debit transactions that are disputed by cardholder               | 0.651209 |
| `small_business_cardholder_disputed_chargeback_cnt_perc` | `double`  | percentage of small business card transactions that are disputed by cardholder | 0.241778 |

#### Analytics Metrics Formatting {#analytics-metrics-formatting}

* All example metric amounts are in USD currency.

* All metrics are formatted with maximum 6 digits after their decimal
  points.

* The percentage metric values are decimal point representations where
  1.0 represents 100%. The values should be multiplied by 100 to get
  the actual percentage. For example, 0.82 means 82.0%.

* The API can return values like `0`, `null`, `-1` in some edge case
  scenarios where there is low transaction volume or no recent
  transactions at a merchant location.

  * `0` -- In the event that no transactions were observed to calculate the
    respective metrics in that period, for example zero spend at the
    merchant location.

  * `null` -- In the event that the minimum number of transactions needed to
    calculate the respective metrics was not met in that period, or for
    YoY metrics when there were no data points in the previous year.

  * `-1` -- For YoY metrics only, in the event that there were no data
    points in the current year. For example, if there were 50 transactions in
    the previous year but no transactions in the current year, YoY
    growth would be calculated as (0-50)/50, which would lead to `-1` as a
    returned value.

#### Analytics Calculations and Delivery {#analytics-calculations-and-delivery}

* All metrics are calculated and delivered at weekly aggregations,
  one row per calendar week.

* Metrics are refreshed every week with a lag for the latest available
  week of metrics that can be retrieved.

* In some cases, `lastSeenTxnDate` could be later than the most recent
  available period of metrics due to the lag involved in generating
  weekly metrics.

* The fields `periodStartDate`, `periodEndDate`, and `year` are displayed for
  each week of data in the API.

* A Card Present type of transaction signifies the presence of a
  cardholder at the Point of Sale (POS), whereas a Card Not Present
  transaction may include Online (Electronic commerce),
  recurring transactions, mail order, phone order.

* Recurring metrics like `recurring_cnt_perc` are calculated based
  on recurring transactions, where the cardholder authorizes a merchant
  to store and use their data periodically - for example, merchant categories
  like Books, Newspapers, Electric and Gas Utilities, Cable Services are some examples that
  frequently process recurring transactions.

## Reading a Benchmarks Report {#reading-a-benchmarks-report}

This section explains the metrics returned in a Retail Sales Benchmarks report. The metrics are presented in groups based on the key business question they could help answer. Note that the grouping is created for guidance only, and the API does not deliver data in these groups.

### Benchmark Metrics {#benchmark-metrics}

**Does the small business exist and is still operating?**

|         METRIC         | DATA TYPE |                                                                                                                  DESCRIPTION                                                                                                                   |        EXAMPLE        |
|------------------------|-----------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------|
| `merchantCategoryCode` | `integer` | the Mastercard-defined merchant category code for the returned merchant. For full list, see [MCC Codes Booklet](https://www.mastercard.us/content/dam/public/mastercardcom/na/global-site/documents/quick-reference-booklet-merchant.pdf)      | 478                   |
| `naicsCode`            | `string`  | North American Industry Classification System (NAICS) code. For full list, visit: [www.census.gov/naics](http://www.census.gov/naics)                                                                                                          | 454113                |
| `industryName`         | `string`  | the Mastercard-defined name of the industry of the merchant. For full list, see the [Industry Names](https://developer.mastercard.com/open-finance-us/documentation/products/small-business/sbca/index.md#industry-names) section on this page | Arts and Craft Stores |
| `firstSeenTxnDate`     | `string`  | the date of the first Mastercard transaction processed for this merchant. Format: YYYY-MM-DD                                                                                                                                                   | 2008-08-14            |
| `lastSeenTxnDate`      | `string`  | the date of the last Mastercard transaction processed for this merchant. Format: YYYY-MM-DD                                                                                                                                                    | 2022-02-29            |
| `periodStartDate`      | `string`  | the calendar date marking the beginning (inclusive) of the period for which this metric was calculated. Format: YYYY-MM-DD                                                                                                                     | 2022-02-01            |
| `periodEndDate`        | `string`  | the calendar date marking the end (inclusive) of the period for which this metric was calculated. Format: YYYY-MM-DD                                                                                                                           | 2022-02-28            |
| `year`                 | `integer` | the calendar year for which this metric was calculated                                                                                                                                                                                         | 2021                  |

**What is the business' relative performance compared to its peers?**

|           METRIC           | DATA TYPE |                                            DESCRIPTION                                             | EXAMPLE |
|----------------------------|-----------|----------------------------------------------------------------------------------------------------|---------|
| `net_spend_index`          | `double`  | Relative performance of merchant's total spend amount vs. its competitor set                       | 114.0   |
| `txn_cnt_index`            | `double`  | Relative performance of merchant's total spends transactions count vs. its competitor set          | 118.0   |
| `tkt_size_avg_index`       | `double`  | Relative performance of average spends per transaction at merchant location vs. its competitor set | 103.0   |
| `spend_per_card_avg_index` | `double`  | Relative performance of average spends per card at merchant location vs. its competitor set        | 104.0   |

**Can the business attract more repeat customers than its peers?**

|           METRIC           | DATA TYPE |                                               DESCRIPTION                                                | EXAMPLE |
|----------------------------|-----------|----------------------------------------------------------------------------------------------------------|---------|
| `recurring_txn_perc_index` | `double`  | Relative performance of percentage of recurring transactions at merchant location vs its competitor set. | 122.0   |

**How volatile is the business compared to its peers?**

|                METRIC                 | DATA TYPE |                                                         DESCRIPTION                                                         | EXAMPLE |
|---------------------------------------|-----------|-----------------------------------------------------------------------------------------------------------------------------|---------|
| `declined_rate_perc_index`            | `double`  | Relative performance of percentage of transactions that are declined at merchant location vs its competitor set.            | 103.0   |
| `fraud_chargeback_rate_perc_index`    | `double`  | Relative performance of percentage of transactions that are fraudulent at merchant location vs its competitor set.          | 107.0   |
| `disputed_chargeback_rate_perc_index` | `double`  | Relative performance of percentage of transactions that are cardholder disputed at merchant location vs its competitor set. | 94.0    |
| `return_txn_amt_index`                | `double`  | Relative performance of total spends amount of returned purchases at merchant location vs its competitor set.               | 116.0   |
| `return_txn_cnt_index`                | `double`  | Relative performance of total transaction count of returned purchases at merchant location vs its competitor set.           | 69.0    |

**How does the business perform across online channels compared to its peers?**

|         METRIC          | DATA TYPE |                                                      DESCRIPTION                                                      | EXAMPLE |
|-------------------------|-----------|-----------------------------------------------------------------------------------------------------------------------|---------|
| `online_txn_perc_index` | `double`  | Relative performance for percentage of transactions from online channels at merchant location vs. its competitor set. | 107.0   |

#### Benchmark Metrics Formatting {#benchmark-metrics-formatting}

* All metrics are rounded to the nearest integer, and due to their
  representation as double values, they display one decimal place
  consistently as zero - for example: 67.0, 116.0.

* The API can return values like `0`, `null`, `-1` in some edge case
  scenarios where there is low transaction volume or no recent
  transactions at a merchant location.

  * `0` -- If no transactions were observed for the respective metrics at
    the merchant location.

  * `null` -- If the minimum number of transactions needed to calculate the
    respective not met in that period for the merchant location.

  * `-1` -- If there were transactions at the merchant location but
    insufficient transactions in the merchant competition set.

#### Benchmarks Calculations and Delivery {#benchmarks-calculations-and-delivery}

* All example metric amounts are index scores of performances of
  underlying transaction type at merchant location vs at the competitor
  set.

* All metrics are calculated and delivered at monthly aggregation
  (calendar months) for the latest month only.

* Metrics are refreshed every month with a lag for the latest available
  month of metrics that can be retrieved.

* In some cases, `lastSeenTxnDate` could be later than the most recent
  available period of metrics due to the lag involved in generating
  monthly metrics.

* An Online transaction is a sub-channel type of Card Not Present
  transactions where the customer places the order via Ecommerce. Other
  types of Card Not Present transactions may include recurring
  transactions, mail order, phone order.

* Metric value of 100.0 indicates that the SMB is performing equivalent
  to its benchmark peer set, a value greater than 100.0 indicates the
  SMB is over-performing and less than 100.0 indicates that it is
  underperforming. For example, a
  `spend_per_card_avg_index` value of 104.0 means that the merchant is
  outperforming its peer set by 4%, while 97.0 means it is relatively
  underperforming by 3%, in terms of average spend per card.

* Recurring metrics like `recurring_cnt_perc` are calculated based
  on recurring transactions, where the cardholder authorizes a merchant
  to store and use their data periodically. Merchant categories
  like Books, Newspapers, Electric and Gas Utilities, Cable Services are
  some examples that frequently process recurring transactions.

## Industry Names {#industry-names}

This table lists the possible values for the `industryName` metric.

This applies to both the Analytics and Benchmark reports.
* Txt

```txt
Accommodations
Elementary, Middle, High Schools
Optical
Accounting and Legal Services
Employment, Consulting Agencies
Other Transportation Services
Advertising Services
Equipment Rental
Pet Stores
Agriculture/Forestry/Fishing/Hunting
Family Apparel
Photofinishing Services
Amusement, Recreation Activities
Financial Services
Photography Services
Arts and Craft Stores
Florists
Professional Sports Teams
Automotive Fuel
Giftware/Houseware/Card Shops
Public Administration
Automotive New and Used Car Sales
Grocery Stores
Real Estate Services
Automotive Retail
Health Care and Social Assistance
Religious, Civic and Professional Organizations
Automotive Used Only Car Sales
Health/Beauty/Medical Supplies
Security, Surveillance Services
Bars/Taverns/Nightclubs
Home Furnishings/Furniture
Shoe Stores
Beer/Wine/Liquor Stores
Home Improvement Centers
Software Production, Network Services and Data Processing
Book Stores
Information Retrieval Services
Specialty Food Stores
Camera/Photography Supplies
Insurance
Sporting Goods/Apparel/Footwear
Casino and Gambling Activities
Jewelry and Giftware
T+E Airlines
Children's Apparel
Live Performances, Events, Exhibits
T+E Bus
Cleaning and Exterminating Services
Luggage and Leather Stores
T+E Cruise Lines
Clothing, Uniform, Costume Rental
Maintenance and Repair Services
T+E Railroad
College, University Education
Manufacturing
T+E Taxi and Limousine
Communications, Telecommunications Equipment
Men's Apparel
T+E Vehicle Rental
Communications, Telecommunications, Cable Services
Miscellaneous
Toy Stores
Computer/Software Stores
Miscellaneous Administrative and Waste Disposal Services
Travel Agencies and Tour Operators
Construction Services
Miscellaneous Apparel
Utilities
Consumer Credit reporting
Miscellaneous Educational Services
Variety/General Merchandise Stores
Consumer Electronics/Appliances
Miscellaneous entertainment and recreation
Veterinary Services
Cosmetics and Beauty Services
Miscellaneous Personal Services
Video and Game Rentals
Courier Services
Miscellaneous Professional Services
Vocation, Trade and Business Schools
Dating Services
Miscellaneous Publishing Industries
Warehouse
Death Care Services
Miscellaneous Technical Services
Wholesale Clubs
Department Stores
Miscellaneous Vehicle Sales
Wholesale Trade
Discount Department Stores
Movie and Other Theatrical
Women's Apparel
Drug Store Chains
Music and Videos
Empty string when no data is available
Dry Cleaning, Laundry Services
Newspapers and Magazines
Eating Places
Office Supply Chains
```

## Testing the APIs {#testing-the-apis}

The [test data for the standalone API](https://developer.mastercard.com/small-business-credit-analytics/documentation/testing/) is also available for use in the
Open Finance Sandbox.

## Further Information {#further-information}

For more information, see the [FAQ for the standalone API](https://developer.mastercard.com/small-business-credit-analytics/documentation/support/#faq).
Note: For support for the Open Finance version of SBCA, do not use the "Get Help" button on the above page, which is for the standalone version. Refer to the [Open Finance support page](https://developer.mastercard.com/open-finance-us/documentation/support/index.md).
